Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class PaymentType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `AbstractPaymentTypes`

public class PaymentType extends BalanceBaseType
Bean типа прихода, использовать через справочник: getContext().getDirectory( PaymentType.class )....

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PaymentType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `editable, parentId, type, TYPE_ALL, TYPE_BRANCH, TYPE_EDITABLE, TYPE_LEAF, TYPE_UNEDITABLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentType()`
  `PaymentType(int id, String title, int type, boolean editable, Integer parentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PaymentType.Builder`
  `builder()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `getEditable, getParentId, getType, setEditable, setParentId, setType`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PaymentType

    public PaymentType()

  - ### PaymentType

    public PaymentType(int id, String title, int type, boolean editable, Integer parentId)

- ## Method Details

  - ### builder

    public static PaymentType.Builder builder()